<h2>My Heroes</h2>

<!-- <ul class="heroes"> Before Added Navigation
    <li *ngFor="let hero of heroes">
        <button [class.selected]="hero === selectedHero" type="button" (click)="onSelect(hero)" >
            <span class="badge"> {{hero.id}} </span>
            <span class="name"> {{hero.name}} </span>

        </button>
    </li>
</ul> -->

<ul class="heroes">
    <li *ngFor="let hero of heroes">
        <a routerLink="/detail/{{hero.id}}">
            <span class="badge">{{hero.id}}</span> {{hero.name}}
            <button type="button" class="delete" title="delete hero" (click)="delete(hero)">x</button>
        </a>
    </li>
</ul>

<!-- <div *ngIf="selectedHero">
    <h2 {{selectedHero.name | uppercase}}>Details</h2>
    <div> <span>id: </span> {{selectedHero.id}}</div>
    <div> <span>name: </span> {{selectedHero.name}}</div>
    <div>
        <label for="hero-name">Hero name: </label>
        <input id="hero-name" [(ngModel)]="selectedHero.name" placeholder="name">
    </div>
</div> -->

<!-- Hide this section, to add hero detail route
<app-hero-detail [hero]="selectedHero"></app-hero-detail> -->

<div>
    <label for="new-hero">Hero name: </label>
    <input id="new-hero" #heroName />

    <!-- (click) passes input value to add() and then clears the input -->
    <button type="button" class="add-button" (click)="add(heroName.value); heroName.value=''">
        Add hero
    </button>
</div>